// s1.2  cfb  A129

sysuse lifeexp, clear
levelsof region, local(regid)
di "`regid'"
foreach c of local regid {
	local rr : label region `c'
    regress lexp gnppc if region ==`c'
    twoway (scatter lexp  gnppc if region ==`c') ///
           (lfit lexp gnppc if region ==`c', ///
           ti(Region: `rr') name(fig`c', replace))
 }

local alleps
foreach c of local regid {
	local rr : label region `c'
	regress lexp gnppc if region ==`c'
	predict double eps`c' if e(sample), residual
	lab var eps`c' "`rr'"
	local alleps "`alleps'  eps`c'"
}

gen cty = _n
scatter `alleps' cty, yline(0) scheme(s2mono) legend(rows(1)) ///
  ti("Residuals from model of life expectancy vs per capita GDP") ///
  t2("Fit separately for each region") 

graph export figS1lifeexp.pdf, replace

